import {} from "@netlify/functions";
import { NetlifyExtensionClient } from "@netlify/sdk--extension-api-client";
// TODO(ndhoule): Divorce this from Request? This is sort of purpose-built for tRPC right now but we
// should be able to use it in non-tRPC/normal request handlers
export const createNetlifySDKContext = ({ req, }) => {
    const netlifyToken = req.headers.get("Nf-UIExt-Netlify-Token");
    const slug = req.headers.get("Nf-UIExt-Extension-Slug");
    const client = new NetlifyExtensionClient(netlifyToken ?? "", slug ?? "", // FIXME(ndhoule): This ain't great, we really should bail out slug is not available
    { netlifyApiUrl: process.env["NETLIFY_API_BASE_URL"] });
    return {
        auth: {
            netlifyToken,
            providerToken: req.headers.get("Nf-UIExt-Provider-Token"),
        },
        client,
        siteId: req.headers.get("Nf-UIExt-Site-Id"),
        teamId: req.headers.get("Nf-UIExt-Team-Id"),
    };
};
//# sourceMappingURL=sdk_context.js.map