import { type Context as NetlifyContext } from "@netlify/functions";
import { type AnyRouter } from "@trpc/server";
import { type NetlifySDKContext as BaseNetlifySDKContext } from "../sdk_context.js";
type Handler = (req: Request, context: NetlifyContext) => Promise<Response>;
type TRPCNetlifyContext = Omit<NetlifyContext, "json" | "next" | "rewrite">;
/**
 * `Context` is a type TODO(ndhoule): Finish this description
 *
 * Consume this type when you initialize tRPC.
 *
 * @example:
 * ```ts
 * import { type Context as BaseContext } from "@netlify/sdk--ui-functions";
 *
 * type MyExtensionCustomContext = {
 *   // ...
 * };
 *
 * export type Context = Context<MyExtensionCustomContext>;
 *
 * const trpc = initTRPC.context<Context>().create();
 * ```
 */
export type Context<CustomContext = Record<string, unknown>, NetlifySDKContext extends BaseNetlifySDKContext = BaseNetlifySDKContext> = TRPCNetlifyContext & NetlifySDKContext & CustomContext;
export type CreateNetlifyTRPCHandlerOptions<CustomContext, NetlifySDKContext extends BaseNetlifySDKContext = BaseNetlifySDKContext> = {
    createContext?: ((options: {
        req: Request;
        resHeaders: Headers;
        context: NetlifyContext & NetlifySDKContext;
    }) => CustomContext) | undefined;
    endpoint: string;
    router: AnyRouter;
};
export declare const createNetlifyTRPCHandler: <CustomContext>({ router, endpoint, createContext, }: CreateNetlifyTRPCHandlerOptions<CustomContext>) => Handler;
export {};
//# sourceMappingURL=main.d.ts.map